Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.engine
Class StandardReportEngine

    java.lang.Object
      org.apache.jmeter.report.engine.StandardReportEngine

All Implemented Interfaces:
  Serializable, Runnable, ReportEngine

    public class StandardReportEngine

extends Object
implements Runnable, Serializable, ReportEngine

See Also:
  Serialized Form

Constructor Summary
`StandardReportEngine()`

Method Summary
`void` | `configure(HashTree testPlan)`
`void` | `exit()`
`void` | `reset()`
`void` | `run()`
`void` | `runReport()`
`void` | `stopReport()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardReportEngine

    public StandardReportEngine()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### configure

    public void configure(HashTree testPlan)

  Specified by:
    `configure` in interface `ReportEngine`

### runReport

    public void runReport()
                   throws JMeterEngineException

  Specified by:
    `runReport` in interface `ReportEngine`
  Throws:
    `JMeterEngineException`

### stopReport

    public void stopReport()

  Specified by:
    `stopReport` in interface `ReportEngine`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ReportEngine`

### exit

    public void exit()

  Specified by:
    `exit` in interface `ReportEngine`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.